<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a180d699326ce23227ac4bd64deee10a4">activeList</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#abe1b965ba349f73c05bd321b8823e94b">aggregateInfo</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a44b1fde1e1f2eaa9f8b7aac93e98156a">allActive</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#aa67112d5a138f93b5a849b5e07cdbf7b">clearActiveBuffers</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a2b3b8cd385625916e495b633fc5aa551">combineExternalOutMessages</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a3c00f7b17defb11a22e3d2d438af02b1">combineLocalMessages</a>(bool oddTimeFlag, bool externalFlag=false)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a5fe0c6d2933cf1df8f2670b75d158986">combiner</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a1a532bb706e3c58c25e479c3b75d4852">dataManager</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a83055792bef2bc431014faa9a74d36c1">distributeOutMessages</a>(LOCAL_MESSAGE_BUF &amp;outMessages, uint32 countSS)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#adc5600ca4635575f80a9925f20ec1b7e">executeVertex</a>(VERTEX_ITERATOR itVertex, uint32 pos, bool oddTimeFlag, LOCAL_MESSAGE_BUF *outMessages)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a4a5f4ea263b1a6f25ef29b13a51f5eba">getNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#ab92afcd70437b1b183834d1d85767de9">getNumHaltSysMessages</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a9d97b025cbfcc071daa8a592b8ee79d2">getNumIdleSysMessages</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a139fee1e3f5571e78f6736bca52a7ccc">getPastNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#af32133f0c1230e23cc07ed174aa31519">init</a>(INIT_TYPE *initParams)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a68666e57a6610ec64cf3f8de807f3600">InsertActive</a>(uint32 pos)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a59a41756c538939513884ca258de813e">isInitialized</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#abcf96a90bca976fb3a14dddafb69823c">maxSS</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#ac6ddea236285a13721ee043242c6ae2a">numActive</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a6630b764d6e95f2d7fb36a72fde08d7b">numHaltSysMessages</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#ad9f3a3f8be3390fa71a53b145f288897">numIdleSysMessages</a></td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a3e8fd4b9596624364ba8d8467238340d">processSystemMessages</a>(uint32 countSS)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#abebc4c1572672c51b90af452be5a2f68">pushHaltMessage</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#a1be96ee44ecf6720e561e417fc6b9b31">reset</a>()</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#ab0ba1cc0c47eec7dc30e54f7da122fc6">RetreiveAndIncrement</a>(vector&lt; uint32 &gt;::iterator &amp;currActive, uint32 &amp;pos)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#aad027e8f4df77653485cf5d48c13a2c4">setCombiner</a>(COMBINER_TYPE *cmb)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#adf9ef47f4e42ebc43ae5809ab567b71c">setDataManager</a>(DATA_CONTAINER_CLASS *dm)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelComputeManager.html#ae1d638dd4bb3c7a391da2e193d0e6303">setMaxSS</a>(uint32 maxSSVal)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelComputeManager.html#a3acd9047fc63ad9188dbd822f87dd398">superstep</a>(uint32 countSS)</td><td class="entry"><a class="el" href="classPregelComputeManager.html">PregelComputeManager&lt; DATA_CONTAINER_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 14 2014 14:29:26 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
